Name:		unrtf
Summary:	RTF (Rich Text Format) to other formats converter
Version:	0.21.1
Release:	4%{?dist}

Group:		Applications/Text
License:	GPLv3+
URL:		http://www.gnu.org/software/unrtf/unrtf.html
Source0:	http://www.gnu.org/software/unrtf/unrtf-%{version}.tar.gz

%description
UnRTF is a command-line program written in C which converts documents in 
Rich Text Format (.rtf) to HTML, LaTeX, troff macros, and RTF itself. 
Converting to HTML, it supports a number of features of Rich Text Format:
    * Changes in the text's font, size, weight (bold), and slant (italic)
    * Underlines and strikethroughs
    * Partial support for text shadowing, outlining, embossing, or engraving
    * Capitalizations
    * Superscripts and subscripts
    * Expanded and condensed text
    * Changes in the foreground and background colors
    * Conversion of special characters to HTML entities 

%prep
%setup -q 
# unrtf has a hard coded path for looking for config files
sed -i -e 's#/usr/local/lib/unrtf/#%{_sysconfdir}/unrtf/#' src/main.h 
sed -i -e 's#/usr/local/lib/unrtf/#%{_sysconfdir}/unrtf/#' src/path.h 

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_sysconfdir}/unrtf/
mv %{buildroot}%{_libdir}/unrtf/*.conf %{buildroot}%{_sysconfdir}/unrtf/

%files
%defattr(-, root, root,-)
%doc README ChangeLog COPYING AUTHORS NEWS
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_libdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/

%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 07 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.21.1-1
- Bump up to the latest release
- Drop patches
- Update description
- License has changed from GPLv2+ to GPLv3+
- Update spec to match latest guidelines

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.20.2-4
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.20.2-3
- fix license tag
- rebuild for BuildID

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.20.2-2
- add patches from bugs 225188 and 225184

* Fri Sep 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.20.2-1
- version 0.20.2

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.19.9-1
- version 0.19.9

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.19.3-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 11 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.19.3-0.fdr.2
- Build with rpm opt flags.

* Thu May 13 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.19.3-0.fdr.1
- initial Fedora RPM (from Mandrake)

